function InstallWork: string;
var ini_src,ini_trg:TMemIniFile;
    sFile,sVal,sKey:string;
    aSections,aVals:TStrings;
    i,j:integer;
begin
  sFile:=RegExSubstitute('(.*)(\\.*)$',GEOGET_SCRIPTFULLNAME,'$1')+'\GgDrake.ini';
  ini_trg:=TMemIniFile.Create(sFile);
  aSections:=TStringList.Create();
  aVals:=TStringList.Create();

  //vymazeme sekce zavisle na uzivateli
  ini_trg.ReadSections(aSections);
  for i:=0 to aSections.Count-1 do begin
    if(LowerCase(aSections[i])<>'multicast') and (LowerCase(aSections[i])<>'showtracks') then begin
      {$ifdef DEBUG_HELPER} LDH('Rusim v INI sekci: '+aSections[i]); {$endif}
      ini_trg.EraseSection(aSections[i]);
    end;
  end;
  ini_trg.UpdateFile();

  //doplnime sekce z puvodniho INI, pokud existuje
  if(FileExists(sFile+'.old')) then begin
    ini_src:=TMemIniFile.Create(sFile+'.old');
    ini_src.ReadSections(aSections);
    for i:=0 to aSections.Count-1 do begin
      if(LowerCase(aSections[i])='multicast') or (LowerCase(aSections[i])='showtracks') then continue;
      ini_src.ReadSectionValues(aSections[i],aVals);
      for j:=0 to aVals.Count-1 do begin
        sVal:=aVals[j];
        sKey:=Fetch(sVal,'=');
      {$ifdef DEBUG_HELPER} LDH('Prepisuji string: ['+aSections[i]+'], '+sKey+'='+sVal); {$endif}
        ini_trg.WriteString(aSections[i],sKey,sVal);
      end;
    end;
    ini_src.Free();
  end;
  aSections.Free();
  aVals.Free();
  ini_trg.UpdateFile();
  ini_trg.Free();
  //zobrazit seznam zmen
  ShowHTMLMessageSize(_('List of changes in latest versions'),'<pre><font size="5">'
    +FileToString(RegExSubstitute('(.*)(\\.*)$',GEOGET_SCRIPTFULLNAME,'$1')+'\Changes.txt')
    +'</font></pre>',800,600);
  Result:='';
end;

function UninstallWork: string;
begin
  Result := '';
end;
