// Inicializace spojen s telefonem
// Telefon mus bt ve stejn sti. Je vyslt multicast paken na 224.0.0.0:5000
// Na tto adrese poslouch a:Drake v telefonu a odpov svoj adresou

const MAX_ATTEMPS=20;                  // max. pocet pokusu o spojeni s telefonem

procedure GetMtpDirFromPhone();
var s:string;
begin
  frmMain_butMtpDir.Cursor:=crHourglass;
  frmMain_sMtpPath.Caption:='';
  s:=ML_FindGpsMobileDevice('ADRAKE_INST', ML_SHOWDEVICELIST_AUTO);
  {$ifdef DEBUG_HELPER} LDH('  ML_FindGpsMobileDevice() vraci: '+s); {$endif}
  frmMain_sMtpPath.Caption:=Fetch(s,'[');
  if(isMtp(false)) then frmMain_memoLog.Lines.Add('MTP - a:Drake '+_('found'))
  else frmMain_memoLog.Lines.Add('MTP - a:Drake '+_('not found'));
  frmMain_butMtpDir.Cursor:=crDefault;
  ShowStat();
end;

procedure GetServerName;
var response:string;
begin
  if(IsIp(true)) then begin
    HttpAsk('GET', GetFceUrl('serverName'), '', '', response);
    frmMain_memoLog.Lines.Add('Get server name: '+frmMain_sServerIp.Caption);
    if(IsConnected(response)) then frmMain_memoLog.Lines.Add('Get server name: ok');
  end;
  frmMain_sServerName.Caption:=UtfToAnsi(response);
end;

procedure Connect();
var count: integer;
begin
  GeoBusyStart;
  GeoBusyCaption(_('Starting phone connection'));
  if(frmMain_rConnect.ItemIndex=1) and (frmMain_eConnectIp.Text<>'') then
    frmMain_sServerIp.Caption:=frmMain_eConnectIp.Text
  else begin
    GeoBusyProgress(0, MAX_ATTEMPS);
    count:=0;
    frmMain_sServerIp.Caption:='';
    repeat
      frmMain_sServerIp.Caption:=UDPAsk(frmConnect_sIp.Caption,frmConnect_sPort.Caption,'GGDrake', 800+200*count);
      if(not IsIp(false)) then begin
        count:=count+1;
        GeoBusyProgress(count, MAX_ATTEMPS);
      end;
    until (frmMain_sServerIp.Caption<>'') or
        (count=MAX_ATTEMPS) or
        GeoBusyTest();
    if(IsIp(true)) then frmMain_memoLog.Lines.Add('a:Drake '+_('found'))
    else frmMain_memoLog.Lines.Add(_('ERR: connecting error or interrupt by user'));
  end;
  GeoBusyCaption('GgDrake');
  GeoBusyKind('');
  GeoBusyProgress(0,1);
  frmMain_sMtpPath.Caption:='';
  if(IsIp(false)) then GetServerName();
  GetMtpDirFromPhone();
  AdhocGetSettings(); //tohle musi byt po pripojeni, protoze je to zavisle na telefonu
end;

procedure Finish();
var res: String;
begin
  if(IsIp(false)) then begin
    HttpAsk('GET', GetFceUrl('exit'), '', '', res);
    frmMain_memoLog.Lines.Add(_('Disconnect')+': '+res);
    frmMain_sServerIp.Caption:='';
    frmMain_sServerName.Caption:='';
    frmMain_sMtpPath.Caption:='';
  end;
  ShowStat();
end;
