//rutiny pro upravu logu ve formulari FnEdit
procedure FnEditInit;  //inicializace hodnot formulare
var s,sGc,sLogType,sLogIndex,sCacheType:string;
    i1,i2,i3:word;
begin
  {$ifdef DEBUG_HELPER} LDH('FnEditInit: start'); {$endif}
  s:=frmMain_lFn.Items[frmMain_lFn.ItemIndex];
  sGc:=Fetch(s,',');
  frmLog_sCache.Caption:=sGc+' - '+UtfToAnsi(GEOGET_DB.GetTableString('SELECT Name FROM geocache WHERE id="'+sGc+'"'));
  //zkusime najit typ kese a pokud je v databazi, omezime podle jejiho typu seznam logu
  sCacheType:=s[Length(s)];
  //sCacheType:=''; //'FI','Web','Event'
  //...####
  //podle typu kese nastavime seznam moznych typu logu
  //vsechny typy logu je treba obalit mezerama, aby nedochazelo k automatickemu
  //prekladu, pokud by se text nahodou shodoval s jinym prekladanym (napr. Found it)
  frmLog_cbLogType.Items.Clear();
  case sCacheType of
  'W',
  'Web':  frmLog_cbLogType.Items.Text:=' Webcam Photo Taken '+CRLF+' Write note '
            +CRLF+' Needs Maintenance '+CRLF+' Needs Archived '+CRLF+' Owner Maintenance '{+CRLF+' Update Coordinates '};
  'E','C'{Cito} ,'Z'{Mega}, 'X'{Giga}, 'A'{Maze}, 'Y'{Lost and Found Event Cache},
  'Event':frmLog_cbLogType.Items.Text:=' Will attend '+CRLF+' Attended '+CRLF+' Write note '{+CRLF+' Update Coordinates '};
  'T','U','M','V','H','I'{Wigo}, 'G'{Earth},
  'Cache':frmLog_cbLogType.Items.Text:=' Found it '+CRLF+' Didn''t find it '
            +CRLF+' Write note '+CRLF+' Needs Maintenance '+CRLF+' Needs Archived '+CRLF+' Owner Maintenance '{+CRLF+' Update Coordinates '};
  'B' {LAB}: frmLog_cbLogType.Items.Text:=''; //nejde logovat
   //'P' {APE} //necham vsechny logy, netusim, ktere tam mohou byt
  else    //neni urcen typ, tak dame vsechny typy logu
          frmLog_cbLogType.Items.Text:=' Found it '+CRLF+' Didn''t find it '+CRLF+' Write note '
            +CRLF+' Will attend '+CRLF+' Attended '+CRLF+' Webcam Photo Taken '
            +CRLF+' Needs Maintenance '+CRLF+' Needs Archived '+CRLF+' Owner Maintenance '{+CRLF+' Update Coordinates '};
  end;
  i1:=StrToInt(Fetch(s,'-')); //rok
  i2:=StrToInt(Fetch(s,'-')); //mesic
  i3:=StrToInt(Fetch(s,'T')); //den
  frmLog_dLogDate.Date:=EncodeDate(i1,i2,i3);
  i1:=StrToInt(Fetch(s,':')); //hodina
  i2:=StrToInt(Fetch(s,'Z')); //minuta
  frmLog_dLogTime.Time:=EncodeTime(i1,i2,0,0);
  Fetch(s,',');
  sLogType:=Fetch(s,',');
{$ifdef DEBUG_HELPER} LDH('s='+s); {$endif}
  sLogIndex:=Copy(s,Length(s)-3,4); //posledni 4 znaky, tam je ',' s cislem indexu logu
{$ifdef DEBUG_HELPER} LDH('sLogIndex='+sLogIndex); {$endif}
  Fetch(sLogIndex,',');
{$ifdef DEBUG_HELPER} LDH('sLogIndex='+sLogIndex); {$endif}
  if(sLogIndex<>'') then begin
    s:=Copy(s,1,Length(s)-Length(sLogIndex)-1);
  end;
  frmLog_eLogIndex.Text:=sLogIndex;
  //zjistime index logu
  s:=ReplaceString(s,' &&_LF_&& ',CRLF);  //vratime zalomeni radku v logu
  //typ logu je obalen mezerama, aby nedochazelo k jeho automatickemu prekladu
  i1:=frmLog_cbLogType.Items.IndexOf(' '+sLogType+' ');
  //i1:=frmLog_cbLogType.Items.Find(' '+sLogType+' ');
{$ifdef DEBUG_HELPER} LDH('sLogType='+sLogType+', i1='+IntToStr(i1)); {$endif}

  frmLog_cbLogType.ItemIndex:=i1;
  //prvni a posledni uvozovku dame pryc
  s:=copy(s,2,Length(s)-2);
{$ifdef DEBUG_HELPER} LDH('FnEditInit: tady ma byt oddelovacem CRLF nebo jen LF?????'); {$endif}
  frmLog_mLogText.Lines:=StrToStrings(s,CRLF);
end;

procedure SaveLog;
var s,s1:string;
    dt:TDateTime;
begin
  s1:=frmLog_sCache.Caption;
  s:=Fetch(s1,'-')+',';
  dt:=Trunc(frmLog_dLogDate.Date)+Frac(frmLog_dLogTime.Time);
  s:=s+ReplaceString(FormatDateTime('yyyy-mm-dd hh:nn',dt),' ','T')+'Z';
  s:=s+','+Trim(frmLog_cbLogType.Items[frmLog_cbLogType.ItemIndex]);
  s:=s+',"'+ReplaceString(Trim(frmLog_mLogText.Lines.Text),CRLF,' &&_LF_&& ')+'"';
  if(frmLog_eLogIndex.Text<>'') then s:=s+','+frmLog_eLogIndex.Text;         //pridame index logu
  frmMain_lFn.Items[frmMain_lFn.ItemIndex]:=s;
end;