{
  - pri importu
    + kontrolovat souradnice, vynechat/upozornit na duplicity
}
var sAdhocDeleted:string;

procedure lAdhoc_DrawItem(list: TWinControl; Index: Integer; Rect: TRect;
  State: byte {podle dokumentace je typu TOwnerDrawState, ale v enginu je byte});
var s,sText,sPrefix,sName,sType,sLat,sLon:string;
    eLat,eLon:extended;
begin
  sText:=(list as TListBox).Items[Index];
  (list as TListBox).Canvas.Brush.Color:=BKGCOLOR_FOCUSED;
  if((State AND 1)=1) then begin
    (list as TListBox).Canvas.Brush.Color:=BKGCOLOR_SELECTED;
    (list as TListBox).Canvas.Font.Color:=COLOR_SELECTED;
  end;
  (list as TListBox).Canvas.FillRect(Rect);
  sPrefix:=Fetch(sText,'|');
  sType:=Fetch(sText,'|');    if(sType<>'') then sType:=sType[1]; //jen prvni znak
  sName:=Fetch(sText,'|');
  sLat:=Fetch(sText,'|');
  sLon:=Fetch(sText,'|');
  ParseWgsStr(sLat+';'+sLon, eLat, eLon);
  s:=FormatCoordNum(eLat, eLon);
  //sFlag:=Fetch(sText,'|');
  //sCmt:=Fetch(sText,'|');
  //sDesc:=Fetch(sText,'|');
  (list as TListBox).Canvas.TextOut(Rect.Left+3,Rect.Top,sPrefix);
  (list as TListBox).Canvas.TextOut(Rect.Left+30,Rect.Top,sType);
  (list as TListBox).Canvas.TextOut(Rect.Left+45,Rect.Top,s);
  (list as TListBox).Canvas.TextOut(Rect.Left+202,Rect.Top,UtfToAnsi(sName));
end;

procedure butAdhocMapOnClick(Sender:TObject);
var s,s1,sUrl,sText,sPrefix,sType,sName,sLat,sLon:string;
    i:integer;
begin
  {
  Datova struktura vypada takto:
  1 - 2 souradnice
  3 GC kod, u waypointu GC kod rodice.
  4 druh bodu. Anglicky (!), zpravidla prvni slovo z nazvu typu. Viz nazvy ikonek v podadresarich s ikonkami. od 2.5.13 jeste "solved" u vylustenych mysterek.
  5 Nazev bodu (u waypointu tzv. plny nazev vcetne nazvu rodice)
  6 autor
  7 datum nalezeni (nikoliv zalozeni...)
  8 velikost schranky
  9 obtiznost terenu
  10 obtiznost hledani
  11 0=cache, 1=waypoint
  12 status 0=ok, 1= disabled, 2=archived, 3=unknown
  13 1=moje vlastni cache
  14 URL, pokud je prazdne, URL si vi mapa vygeneruje sama z GC kodu. Uzitecne pro body mimo GC/WM
  15 Hint
  }
  s:='';
  for i:=0 to frmMain_lAdhoc.Items.Count-1 do begin
    sText:=frmMain_lAdhoc.Items[i];
    sPrefix:=Fetch(sText,'|');
    s1:=Fetch(sText,'|');   sType:=LowerCase(RegexExtract('^[^\s\-]+',s1));
    sName:=Fetch(sText,'|');
    sLat:=Fetch(sText,'|');
    sLon:=Fetch(sText,'|');
    if(i=0) then sUrl:='?lat='+sLat+'&lon='+sLon+'&name=ADhoc';
    s:=s+sLat+'|'+sLon+'|GC0|'+sType+'|'+sPrefix+': '+sName+' (ad-hoc WP)|author?||'
      +'None|?|?|1|0|0|||'+CRLF;
  end;
  StringToFile(s,GEOGET_DATADIR+'\map\data_cachi.txt');
  RunShell('http://localhost:54545/cachemap/mapa.html'+sUrl);
end;

procedure butAdhocDelOnClick(Sender:TObject); //vymazani bodu
var i,idx:integer;
    s:string;
begin
  idx:=frmMain_lAdhoc.ItemIndex;
  //vymazeme vsechny oznacene
  for i:=frmMain_lAdhoc.Items.Count-1 downto 0 do begin
    if(frmMain_lAdhoc.selected[i]) then begin
      //doplnime do seznamu smazanych WP pro pripadne ulozeni (smazani i ve zdrojovem souboru)
      s:=frmMain_lAdhoc.Items[i];
      sAdhocDeleted:=sAdhocDeleted+'|'+Fetch(s,'|');
      frmMain_lAdhoc.Items.Delete(i); //smazeme polozku
    end;
  end;
  //{$ifdef DEBUG_HELPER} LDH('1. idx='+IntToStr(idx)+', count='+IntToStr(frmMain_lAdhoc.Items.Count)); {$endif}
  if(frmMain_lAdhoc.Items.Count<=idx) then idx:=frmMain_lAdhoc.Items.Count-1;
  if(idx>=0) then begin
    frmMain_lAdhoc.ItemIndex:=idx;
    frmMain_lAdhoc.selected[idx]:=true;
  end;
  //{$ifdef DEBUG_HELPER} LDH('2. idx='+IntToStr(idx)+', ItemIndex='+IntToStr(frmMain_lAdhoc.ItemIndex)); {$endif}
  frmMain_butAdhocSave.Enabled:=true;
end;

procedure AdhocSave(sPath:string);
var s,sWpt,sGpx,sName:string;
begin
  sGpx:=FileToString(frmMain_sAdhocPathname.Caption);
  s:=Fetch(sGpx,'</wpt>')+'</wpt>'; //zacatek + keska
  frmMain_memoLog.Lines.Add(LOG_TAB+_('preparing GPX...'));
  while(sGpx<>'') do begin
    sWpt:=Fetch(sGpx,'</wpt>'); //jeden waypoint nebo konec GPX souboru
    if(sGpx='') then s:=s+sWpt //je to konec souboru
    else begin
      sName:=RegexSubstitute('<name>(..)0<\/name>',sWpt,'$1');
      //{$ifdef DEBUG_HELPER} LDH('test vymazaneho WP: '+sName); {$endif}
      if(Pos(sName,sAdhocDeleted)<=0) then begin
        //{$ifdef DEBUG_HELPER} LDH('neni vymazany'); {$endif}
        s:=s+sWpt+'</wpt>'; //neni mezi vymazanymi
      end;
    end;
  end;
  StringToFile(s,sPath);
end;

procedure butAdhocSaveOnClick(Sender:TObject);
var sPath,sFile:string;
begin
  //nacteme puvodni soubor a z nej vymazeme smazane waypointy
  frmMain_memoLog.Lines.Add('AdhocSave: start');
  //vyzadame si jmeno souboru
  sPath:=frmMain_sAdhocPathname.Caption;
  sFile:=RegexSubstitute('.*\\(.*)',sPath,'$1');
  if(not SaveDlg(_('Save ad-hoc waypoints')
            ,RegexSubstitute('(.*)\\.*',sPath,'$1')
            ,'ofOverwritePrompt,ofHideReadOnly' //ty parametry nejak nefunguji
            ,_('GPX files')+'  (*.gpx)|*.gpx'                 //filtr
              +'|'+_('All files')+'  (*.*)|*.*'
    ,sPath)) then exit;
  frmMain_butAdhocSave.Cursor:=crHourglass;
  AdhocSave(sPath);
  frmMain_butAdhocSave.Cursor:=crDefault;
  frmMain_sAdhocPathname.Caption:=sPath;
  sAdhocDeleted:='';
  frmMain_butAdhocSave.Enabled:=false;
  frmMain_memoLog.Lines.Add('AdhocSave: ok');
end;

function DecodeCData(sCData:string):string;
begin     //odstrani 
  Result:=sCData;
  Fetch(sCData,'<![CDATA[');
  if(sCData<>'') then Result:=Fetch(sCData,']]>');
end;

procedure ParseAdhoc(sGpx:string);
var s,sPrefix,sLat,sLon,sCmt,sDesc,sType,sName,sFlag:string;
begin
  frmMain_lAdhoc.Items.Text:='';   //vycistit seznam
  Fetch(sGpx,'<name>GC0</name>');
  while(sGpx<>'') do begin
    Fetch(sGpx,'<wpt lat="');       sLat:=Fetch(sGpx,'"');
    Fetch(sGpx,'lon="');            sLon:=Fetch(sGpx,'"');
    Fetch(sGpx,'<name>');           sPrefix:=Fetch(sGpx,'0</name>');
    Fetch(sGpx,'<cmt>');            sCmt:=DecodeCData(Fetch(sGpx,'</cmt>'));
    Fetch(sGpx,'<desc>');           sDesc:=DecodeCData(Fetch(sGpx,'</desc>'));
    Fetch(sGpx,'<urlname>');        sName:=DecodeCData(Fetch(sGpx,'</urlname>')); 
    Fetch(sGpx,'<sym>');            sType:=Fetch(sGpx,'</sym>');    //sType:=sType[1]; //jen prvni znak
    //Fetch(sGpx,'<type>');           sType:=Fetch(sGpx,'</type>');
    Fetch(sGpx,'<gpxg:Flag>');      sFlag:=Fetch(sGpx,'</gpxg:Flag>');
    s:=sPrefix+'|'+sType+'|'+sName+'|'+sLat+'|'+sLon+'|'+sFlag+'|'+sCmt+'|'+sDesc;
    //{$ifdef DEBUG_HELPER} LDH('XXXX ['+sLat+', '+sLon+'], prefix='+sPrefix+', name='+sName+', type='+sType); {$endif}
    if(sPrefix<>'') and (sType<>'') then frmMain_lAdhoc.Items.Add(s);
    //{$ifdef DEBUG_HELPER} LDH('YYYY pridan'); {$endif}
  end;
  frmMain_butAdhocImport.Enabled:=true;
  frmMain_butAdhocSave.Enabled:=false;
  frmMain_butAdhocSend.Enabled:=IsIp(false); //odeslani povolit jen kdyz je pripojen a:Drake
  sAdhocDeleted:='';
end;

procedure GetAdhoc; //ziska z a:Drake GPX kese GC0 a z nej parsuje waypointy
var sUrl,sFile,response:string;
begin
  frmMain_memoLog.Lines.Add('GetAdhoc: start');
  GeoBusyStart;
  GeoBusyCaption(_('Getting ad-hoc waypoints'));
  GeoBusyProgress(0,3);
  sUrl:=GetFceUrl('cache(''GC0'')');
  sFile:=GetPhoneDir()+'\Adhoc.gpx';
  GeoBusyKind(_('Loading GPX ...'));
  if(HttpAsk('GET', sUrl, '', '', response)) then begin
    if(IsConnected(response)) then begin
      StringToFile(response,sFile);
      frmMain_memoLog.Lines.Add(LOG_TAB+_('already loaded, parsing'));
      GeoBusyProgress(1,3);
      ParseAdhoc(response); //parsovat nactene GPX a nacist z nej vsechny WP
      GeoBusyKind(_('Done'));
      frmMain_memoLog.Lines.Add('GetAdhoc: ok');
      frmMain_sAdhocPathname.Caption:=sFile;
    end;
  end
  else begin
    if(IsConnected(response)) then begin
      frmMain_memoLog.Lines.Add('GetAdhoc: ERR - '+response);
      GeoBusyKind('Error');
    end;
  end;
  GeoBusyProgress(3,3);
end;

procedure butAdhocFromFileOnClick(Sender:TObject);
var sPath:string;
begin
  //rekneme si o soubor a nacteme jej
  if(not OpenDlg(_('Load ad-hoc list'), //title
               GetMyDir(),               //InitDir
              'ofFileMustExist,ofHideReadOnly', //options
              _('GPX files')+'  (*.gpx)|*.gpx'              //filtr
              +'|'+_('All files')+'  (*.*)|*.*'
              ,
              sPath)) then exit;
  ParseAdhoc(FileToString(sPath));
  frmMain_sAdhocPathname.Caption:=sPath;
end;

function IncPrefix(sPrefix:string):string; //zvysi hodnotu prefixu nebo kodu kese
var i,len:integer;
begin
  //{$ifdef DEBUG_HELPER} LDH('IncPrefix: prefix='+sPrefix); {$endif}
  Result:=UpperCase(sPrefix);
  len:=Length(sPrefix);
  i:=Ord(Result[len])+1;
  if(i>Ord('9')) and (i<Ord('A')) then i:=Ord('A');
  if(i>Ord('Z')) then begin
    //rekurzivne zvysim predchozi znak(y)
    if(Len>1) then Result:=IncPrefix(Copy(sPrefix,1,Len-1))+'0';
    i:=Ord('0');
  end;
  Result[len]:=Chr(i);
  //{$ifdef DEBUG_HELPER} LDH('IncPrefix: Result='+Result); {$endif}
end;

procedure AdhocSettingToIni; //ulozi do INI souboru nastaveni importu adhoc WP do databaze
var ini:TMemIniFile;
    s,sPhone:string;
    i:integer;
begin
  sPhone:=GetPhoneName();
  ini:=TMemIniFile.Create(GetMyIni());
  try
    ini.WriteString(sPhone,'AdhocDB',frmMain_cbAdhocDb.Text);
    i:=frmMain_cbAdhocDb.ItemIndex;
    if(frmMain_pageAdhoc.ActivePage.Name='AsWaypoints') then s:='Yes' else s:='No';
    ini.WriteString(sPhone,'AdhocAsWayoints',s);
    ini.WriteString(sPhone,'AdhocPrefix',frmMain_eAdhocPrefix.Text);
    ini.WriteString(sPhone,'AdhocCodeLength',frmMain_eAdhocLength.Text);
    ini.WriteString(sPhone,'AdhocCodeForWP',frmMain_eAdhocCodeForWP.Text);
    ini.WriteString(sPhone,'AdhocPrefixForWP',frmMain_eAdhocPrefixWP.Text);
    ini.UpdateFile(); //zapiseme zmeny do souboru
  finally
    ini.Free();
  end;
end;

procedure AdhocGetSettings;
var ini:TMemIniFile;
    s,sPhone:string;
begin
  GeoDBNames(frmMain_cbAdhocDb.Items);
  sPhone:=GetPhoneName();
  ini:=TMemIniFile.Create(GetMyIni());
  try
    s:=ini.ReadString(sPhone,'AdhocDB',GEOGET_DBNAME);
    frmMain_cbAdhocDb.ItemIndex:=frmMain_cbAdhocDb.Items.IndexOf(s);
    s:=ini.ReadString(sPhone,'AdhocAsWayoints','No');
    if(s='No') then frmMain_pageAdhoc.ActivePage:=frmMain_AsPoints
    else frmMain_pageAdhoc.ActivePage:=frmMain_AsWaypoints;
    frmMain_eAdhocPrefix.Text:=ini.ReadString(sPhone,'AdhocPrefix','ZZ');
    frmMain_eAdhocLength.Text:=ini.ReadString(sPhone,'AdhocCodeLength','6');
    frmMain_eAdhocCodeForWP.Text:=ini.ReadString(sPhone,'AdhocCodeForWP','GC0');
    frmMain_eAdhocPrefixWP.Text:=ini.ReadString(sPhone,'AdhocPrefixForWP','00');
  finally
    ini.Free();
  end;
end;

procedure ChangeGpxAsPoints(var sGpx:string);
var s,sCode,sSql,sGpxNew,sWpt,sVzor,sUrl:string;
begin
  //zjistime posledni kod bodu v databazi, hledame jen ty se zadanym prefixem)
  sSql:='SELECT id FROM geocache WHERE id LIKE "'+frmMain_eAdhocPrefix.Text+'%" ORDER BY id DESC';
  sCode:=GEOGET_DB.GetTableString(sSql);
  {$ifdef DEBUG_HELPER} LDH('Posledni pouzity kod bodu v databazi: '+sCode); {$endif}
  if(sCode='') then begin //pokud neni zadny, vytvorime novy kod
    sCode:=frmMain_eAdhocPrefix.Text
      +Copy('000000000000',1,StrToInt(frmMain_eAdhocLength.Text)-2);
    {$ifdef DEBUG_HELPER} LDH('Nastavuji pouzity kod bodu v databazi: '+sCode); {$endif}
  end;
  sGpxNew:=Fetch(sGpx,'<wpt'); //zacatek GPX souboru
  sVzor:='<wpt '+Fetch(sGpx,'</wpt>')+'</wpt>'; //vzor pro jeden bod
  //ziskame z nej impricitni hodnoty
  Fetch(sVzor,'<desc>');
  sUrl:='<desc>'+Fetch(sVzor,'<groundspeak:name>')+'<groundspeak:name>';
  Fetch(sVzor,'</groundspeak:name>');
  sVzor:='</groundspeak:name>'+sVzor; //zbytek
  //nastavime platne hodnoty D/T
  sVzor:=ReplaceString(sVzor,'<groundspeak:difficulty>0.0<','<groundspeak:difficulty>1<');
  sVzor:=ReplaceString(sVzor,'<groundspeak:terrain>0.0<','<groundspeak:terrain>1<');
  sVzor:=ReplaceString(sVzor,'>null<','><');
  while(sGpx<>'') do begin
    s:=Fetch(sGpx,'</wpt>');  //nacteme dalsi ad-hoc waypoint
    if(sGpx='') then begin    //zadny uz tam neni
      sGpxNew:=sGpxNew+s;
      break;
    end;
    sCode:=IncPrefix(sCode);
    //zpracujeme waypoint
    sWpt:=sVzor;
    sGpxNew:=sGpxNew+{CRLF+}Fetch(s,'<name>'){+CRLF}+'<name>'; //tagy wpt, time
    Fetch(s,'<urlname>');
    //jmeno a pak implicitni zbytek
    sGpxNew:=sGpxNew+sCode+'</name>'+CRLF+sUrl+Fetch(s,'</urlname>')+sVzor;
  end;
  sGpx:=sGpxNew;              //vysledek prepiseme do vystupu
end;

procedure ChangeGpxAsWaypoints(var sGpx:string);
var s,sPrefix,sPrefixNew,sCode,sSql,sWaypoints,sPrefixDeny:string;
    i:integer;
    aList:TStringList;
    //++ bod:TGeo; //bod.Waypoints.Items[]
begin
  //++ bod:=nil;
  sCode:=frmMain_eAdhocCodeForWP.Text;
  //pripravime waypointy pro kontrolu souradnic
  //++ if(frmMain_bAdhocDuplicity.Checked) then begin
  //++   bod:=TGeo.Create();
  //++   bod.LoadByGc(frmMain_eAdhocCodeForWP.Text);
  //++ end;
  //uvodni uprava GPX, nastaveni rodicovskeho bodu
  sGpx:=ReplaceString(sGpx,'<name>GC0</name>','<name>'+sCode+'</name>');
  //nastavime platne hodnoty D/T
  sGpx:=ReplaceString(sGpx,'<groundspeak:difficulty>0.0<','<groundspeak:difficulty>1<');
  sGpx:=ReplaceString(sGpx,'<groundspeak:terrain>0.0<','<groundspeak:terrain>1<');
  sGpx:=ReplaceString(sGpx,'>null<','><');
  sPrefixNew:=frmMain_eAdhocPrefixWP.Text;
  sCode:=Copy(sCode,3,Length(sCode));
  //pripravime existujici waypointy, a zakazane prefixy
  sSql:='SELECT prefixid FROM waypoint WHERE id="'+frmMain_eAdhocCodeForWP.Text+'"';
  sWaypoints:='';
  aList:=TStringList.Create();
  try
    //pripravime zakazane prefixy (ty, ktere jsou uvedeny jako rodicivske body
    GEOGET_DB.GetTableStrings('SELECT distinct(substr(id,1,2)) FROM geocache',aList);
    sPrefixDeny:='GC,'+ReplaceString(aList.Text,CRLF,',');
    //pripravime existujici waypointy
    GEOGET_DB.GetTableStrings(sSql,aList);
    sWaypoints:=ReplaceString(aList.Text,CRLF,'|');
  finally
    aList.Free();
  end;
  //upravime prefixy jednotlivych waypointu
  for i:=0 to frmMain_lAdhoc.Items.Count-1 do begin
    s:=frmMain_lAdhoc.Items[i];
    sPrefix:=Fetch(s,'|');  //tento prefix budeme modifikovat
    //++ if(ExistsWP(sPrefix,bod)) then continue;
    //zjistime (dalsi) volny prefix 
    while((Pos(sPrefixNew,sWaypoints)>0)           //nesmi byt mezi pouzitymi prefixy WP
      or (Pos(sPrefixNew,sPrefixDeny)>0)) do begin //ani u rodicovskych bodu
      sPrefixNew:=IncPrefix(sPrefixNew);
    end;
    //upravime kod waypointu puvodniho prefixu na novy prefix a zadany kod bodu
    sGpx:=ReplaceString(sGpx,'<name>'+sPrefix+'0</name>',
      '<name>'+sPrefixNew+sCode+'</name>');
    sPrefixNew:=IncPrefix(sPrefixNew); //pripravime prefix pro dalsi waypoint
  end;
  //++ if(bod<>nil) then bod.Free();
end;

procedure RemoveDuplicityWP; //odstrani ze seznamu ty WP, ktere uz v databazi u rodicovskeho bodu jsou
var s,sLat,sLon,sPrefix:string;
    i,j:integer;
    lat,lon,m:extended;
    bod:TGeo;
begin
  bod:=TGeo.Create();
  try
    {$ifdef DEBUG_HELPER} LDH('RemoveDuplicity - start'); {$endif}
    bod.LoadByGc(frmMain_eAdhocCodeForWP.text);
    for i:=frmMain_lAdhoc.Items.Count-1 downto 0 do begin
      s:=frmMain_lAdhoc.Items[i];
      sPrefix:=Fetch(s,'|');  //prefix
      Fetch(s,'|');  //typ
      Fetch(s,'|');  //jmeno
      sLat:=Fetch(s,'|');
      sLon:=Fetch(s,'|');
      lat:=StrToFloat(sLat);
      lon:=StrToFloat(sLon);
      //pokud je vzdalenost mensi nez 5 metru od nejakeho WP, bod ze seznamu smazeme
      for j:=0 to bod.Waypoints.Count-1 do begin
        m:=1000.*PointDistance(lat,lon,bod.Waypoints[j].LatNum,bod.Waypoints[j].LonNum);
        {$ifdef DEBUG_HELPER} LDH('  sPrefix='+sPrefix+' ...'+bod.Waypoints[j].PrefixID+', m='+FloatToStr(m)); {$endif}
        if(m<5) then begin
          {$ifdef DEBUG_HELPER} LDH('Kontrola duplicit podle souradnic: mazu WP s prefixem '
            +sPrefix+' (odpovida bodu '+bod.Waypoints[j].PrefixID+')'); {$endif}
          frmMain_lAdhoc.Items.Delete(i);
          break;
        end;
      end;
    end;
  finally
    bod.Free();
  end;
end;

procedure butAdhocImportOnClick(Sender:TObject);
var s,sFile,sGpx,sListOld:string;
    bAsWaypoints:boolean;
    nPoints,n,i:integer;
begin
  nPoints:=frmMain_lAdhoc.Items.Count;
  if(nPoints<1) then exit;              //neni nic k importu
  if(frmMain_cbAdhocDb.Text='') then begin
    ShowMessage(_('ERR: Database for importing WPs not set.'));
    exit;
  end;
  if(frmMain_cbAdhocDb.Text='geoget') then begin //varovat pred ulozenim do hlavni databaze
    n:=MessBox(
      _('Database "geoget" is usually used for caches. Ad-hoc waypoints often dont have nothing in common with caches.')
      +CRLF+CRLF+_('Interrupt importing ad-hoc WPs?'),_('WARNING!'),4);
    if(n<>7) then exit;
  end;
  //zjistime, zda importovat jako body nebo waypointy podle aktualni zalozky
  s:=frmMain_pageAdhoc.ActivePage.Name;
  bAsWaypoints:=(s='AsWaypoints');
  if(frmMain_cbAdhocDb.Text<>GEOGET_DBNAME) then GeoDBSelect(frmMain_cbAdhocDb.Text); //zmena databaze, pokud je potreba
  //pokud je to potreba, zapamatujeme si seznam bodu
  if(bAsWaypoints) and (frmMain_bAdhocDuplicity.Checked) then begin
    sListOld:=frmMain_lAdhoc.Items.Text;
    RemoveDuplicityWP();
    n:=frmMain_lAdhoc.Items.Count;
    s:='';
    {$ifdef DEBUG_HELPER} LDH('Puvodni pocet WP: '+IntToStr(nPoints)+', po vyhazeni duplicit: '+IntToStr(n)); {$endif}
    if(nPoints>n) then begin
      s:=_('Some of ad-hoc WPs are already in database.')
         +' '+_('Do you want to import remaining/all waypoints or interrupt processing?')+CRLF+CRLF
         +_('Yes - import remaining')+CRLF
         +_('No - import all (makes duplicates)')+CRLF
         +_('Cancel - interrupt import');
      i:=3;
    end;
    if(n=0) then begin
      s:=_('All ad-hoc WPs are already in database')
         +' '+_('Interrupt processing?')+CRLF+CRLF
         +_('Yes - interrupt')+CRLF
         +_('No - import all (makes duplicates)');
      i:=4;
    end;
    if(s<>'') then begin
      n:=MessBox(s,_('WARNING!'),i);
      if((n=2) and (i=3)) or ((n=6) and (i=4)) then begin     //bez importu
          {$ifdef DEBUG_HELPER} LDH('Import prerusen'); {$endif}
        frmMain_lAdhoc.Items.Text:=sListOld;
        exit;
      end;
      if(n=7) then begin
        {$ifdef DEBUG_HELPER} LDH('Import puvodniho seznamu WP'); {$endif}
        frmMain_lAdhoc.Items.Text:=sListOld;  //import vsech puvodnich WP
      end;
    end;
  end;
  //      frmMain_lAdhoc.Items.Text:=sListOld;  //import vsech puvodnich WP
  //      exit;
  frmMain_butAdhocImport.Cursor:=crHourglass;
  frmMain_memoLog.Lines.Add('AdhocImport: start');
  frmMain_memoLog.Lines.Add(LOG_TAB+_('saving settings...'));
  AdhocSettingToIni();                   //ulozit nastaveni do INI souboru
  sFile:=RegexReplace('(?i)\.gpx$',frmMain_sAdhocPathname.Caption,'_tmp.gpx',false);
  AdhocSave(sFile);                      //ulozime pripadne zmeny ve WP do souboru
  sGpx:=FileToString(sFile);             //nacteme GPX pro upravu
  //upravime GPX podle toho, zda maji byt adhoc WP importovany do databaze
  //jako WP nebo jako samostatne body
  if(bAsWaypoints) then ChangeGpxAsWaypoints(sGpx)  //jako waypointy
  else ChangeGpxAsPoints(sGpx);                     //jako samostatne body
  StringToFile(sGpx,sFile);              //upraveny GPX ulozime do souboru pro import
  frmMain_memoLog.Lines.Add(LOG_TAB+'import ...');
  //if(bAsWaypoints) then begin
    GeoImportBegin();
    GeoImportFile(sFile);                  //vytvoreny GPX importujeme do databaze
    GeoImportEnd();
    DeleteFile(sFile);
  //end;
  //vratime puvodni seznam bodu
  if(bAsWaypoints) and (frmMain_bAdhocDuplicity.Checked) then begin
    frmMain_lAdhoc.Items.Text:=sListOld;
  end;
  frmMain_memoLog.Lines.Add('AdhocImport: ok');
  frmMain_butAdhocImport.Cursor:=crDefault;
end;

procedure PutAdhoc;
var sFile:string;
begin
  {$ifdef DEBUG_HELPER} LDH('SendAdhoc: start'); {$endif}
  frmMain_memoLog.Lines.Add('SendAdhoc: start');
  GeoBusyCaption(_('Export ad-hoc WPs to a:Drake'));
  GeoBusyProgress(1,3);
  GeoBusyKind(_('Saving ...'));
  sFile:=RegexReplace('(?i)\.gpx$',frmMain_sAdhocPathname.Caption,'_tmp.gpx',false);
  AdhocSave(sFile);                      //ulozime pripadne zmeny ve WP do souboru
  SendGpxFile(sFile,false);
  DeleteFile(sFile);
  frmMain_memoLog.Lines.Add('SendAdhoc: ok');
end;
